{% load static wagtailcore_tags wagtailimages_tags %}
<section id="hero" class="section hero-06 active">
    <div class="display-table">
        <div class="display-content">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-6 order-2 order-lg-1">
                        <div class="hero-content">
                            {% for block in value %}
                                {% if block.block_type == 'i_am' %}
                                    <h1 class="mb-3">{{ block.value }}</h1>
                                {% elif block.block_type == 'job_positions' %}
                                    <h4 class="text-capitalize mb-0">
                                        <span class="base-color">A  </span> <span class="element" data-elements="

                                            {% for job_title in block.value %}{{ job_title }}{% if not forloop.last %},{% endif %}{% endfor %}"></span>
                                    </h4>
                                {% elif block.block_type == 'presentation' %}
                                    <p class="max-width-450 mx-0 my-4">{{ block.value }}</p>
                                {% elif block.block_type == 'social_links' %}
                                    <ul class="list-inline hero-social">
                                        {% for social_link in block.value %}
                                            <li class="list-inline-item">
                                                <a href="{{ social_link.url }}" target="_blank">
                                                    <img src="{{ social_link.icon.file.url }}"
                                                         alt="{{ social_link.name }}">
                                                </a>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                {% endif %}
                            {% endfor %}
                        </div>
                    </div>
                    <div class="col-lg-6 order-1 order-lg-2">
                        <div class="hero-images">
                            <div class="square">
                                <img src="{% static 'img/element_square.png' %}" alt="element square">
                            </div>
                            <div class="circle"></div>
                            <div class="circle-2"></div>
                            <div class="circle-3"></div>
                            <div class="floating"></div>
                            <div class="rounded-circle">
                                {% for block in value %}
                                    {% if block.block_type == 'photo' %}
                                        {% if block.value %}
                                            {% image block.value fill-450x450 class="rounded-circle img-fluid" %}
                                        {% else %}
                                            <img src="https://placehold.co/450x450" alt="photo"
                                                 class="rounded-circle img-fluid">
                                        {% endif %}
                                    {% endif %}
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
